org.apache.solr.common.params

## Enum CoreAdminParams.CoreAdminAction

- java.lang.Object
- - java.lang.Enum<CoreAdminParams.CoreAdminAction>
  - - org.apache.solr.common.params.CoreAdminParams.CoreAdminAction

- All Implemented Interfaces:
    Serializable, Comparable<CoreAdminParams.CoreAdminAction>
  Enclosing class:
    CoreAdminParams

      public static enum CoreAdminParams.CoreAdminAction
      extends Enum<CoreAdminParams.CoreAdminAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKUPCORE`
    `CREATE`
    `CREATESNAPSHOT`
    `DELETEALIAS`
    `DELETESNAPSHOT`
    `FORCEPREPAREFORLEADERSHIP`
    `INVOKE`
    `LISTSNAPSHOTS`
    `MERGEINDEXES`
    `OVERSEEROP`
    `PREPRECOVERY`
    `REJOINLEADERELECTION`
    `RELOAD`
    `RENAME`
    `REQUESTAPPLYUPDATES`
    `REQUESTBUFFERUPDATES`
    `REQUESTRECOVERY`
    `REQUESTSTATUS`
    `REQUESTSYNCSHARD`
    `RESTORECORE`
    `SPLIT`
    `STATUS`
    `SWAP`
    `UNLOAD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isRead`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CoreAdminParams.CoreAdminAction` | `get(String p)`
    `static CoreAdminParams.CoreAdminAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CoreAdminParams.CoreAdminAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATUS

          public static final CoreAdminParams.CoreAdminAction STATUS

    - #### UNLOAD

          public static final CoreAdminParams.CoreAdminAction UNLOAD

    - #### RELOAD

          public static final CoreAdminParams.CoreAdminAction RELOAD

    - #### CREATE

          public static final CoreAdminParams.CoreAdminAction CREATE

    - #### SWAP

          public static final CoreAdminParams.CoreAdminAction SWAP

    - #### RENAME

          public static final CoreAdminParams.CoreAdminAction RENAME

    - #### MERGEINDEXES

          public static final CoreAdminParams.CoreAdminAction MERGEINDEXES

    - #### SPLIT

          public static final CoreAdminParams.CoreAdminAction SPLIT

    - #### PREPRECOVERY

          public static final CoreAdminParams.CoreAdminAction PREPRECOVERY

    - #### REQUESTRECOVERY

          public static final CoreAdminParams.CoreAdminAction REQUESTRECOVERY

    - #### REQUESTSYNCSHARD

          public static final CoreAdminParams.CoreAdminAction REQUESTSYNCSHARD

    - #### DELETEALIAS

          public static final CoreAdminParams.CoreAdminAction DELETEALIAS

    - #### REQUESTBUFFERUPDATES

          public static final CoreAdminParams.CoreAdminAction REQUESTBUFFERUPDATES

    - #### REQUESTAPPLYUPDATES

          public static final CoreAdminParams.CoreAdminAction REQUESTAPPLYUPDATES

    - #### OVERSEEROP

          public static final CoreAdminParams.CoreAdminAction OVERSEEROP

    - #### REQUESTSTATUS

          public static final CoreAdminParams.CoreAdminAction REQUESTSTATUS

    - #### REJOINLEADERELECTION

          public static final CoreAdminParams.CoreAdminAction REJOINLEADERELECTION

    - #### FORCEPREPAREFORLEADERSHIP

          public static final CoreAdminParams.CoreAdminAction FORCEPREPAREFORLEADERSHIP

    - #### INVOKE

          public static final CoreAdminParams.CoreAdminAction INVOKE

    - #### BACKUPCORE

          public static final CoreAdminParams.CoreAdminAction BACKUPCORE

    - #### RESTORECORE

          public static final CoreAdminParams.CoreAdminAction RESTORECORE

    - #### CREATESNAPSHOT

          public static final CoreAdminParams.CoreAdminAction CREATESNAPSHOT

    - #### DELETESNAPSHOT

          public static final CoreAdminParams.CoreAdminAction DELETESNAPSHOT

    - #### LISTSNAPSHOTS

          public static final CoreAdminParams.CoreAdminAction LISTSNAPSHOTS

  - ### Field Detail

    - #### isRead

          public final boolean isRead

  - ### Method Detail

    - #### values

          public static CoreAdminParams.CoreAdminAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreAdminParams.CoreAdminAction c : CoreAdminParams.CoreAdminAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreAdminParams.CoreAdminAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static CoreAdminParams.CoreAdminAction get(String p)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.